#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECloudPendingRemoteOperation {
    None = 0,
    AppSessionActive = 1,
    UploadInProgress = 2,
    UploadPending = 3,
    AppSessionSuspended = 4,
}

impl ECloudPendingRemoteOperation {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::AppSessionActive as i32 => Some(Self::AppSessionActive),
            x if x == Self::UploadInProgress as i32 => Some(Self::UploadInProgress),
            x if x == Self::UploadPending as i32 => Some(Self::UploadPending),
            x if x == Self::AppSessionSuspended as i32 => Some(Self::AppSessionSuspended),
            _ => None,
        }
    }
}
